/* FichothequeLib_API - Copyright (c) 2012-2019 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.fichotheque.exportation.table;

import java.util.List;


/**
 *
 * @author Vincent Calame
 */
public interface TableExportDescription {

    public final static short EMPTY_STATE = 1;
    public final static short DISABLED_STATE = 2;
    public final static short CONTAINS_ERRORS_STATE = 3;
    public final static short OK_STATE = 4;
    public final static String WORKING_LANGMODE = "working";
    public final static String SUPPLEMENTARY_LANGMODE = "supplementary";
    public final static String CUSTOMLIST_LANGMODE = "custom";

    public String getName();

    public short getState();

    public TableExportDef getTableExportDef();

    public List<TableExportContentDescription> getTableExportContentDescriptionList();

    public boolean isEditable();

}
