/* FichothequeLib_Tools - Copyright (c) 2010-2018 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.fichotheque.tools.extraction.builders;

import net.fichotheque.extraction.def.IntituleClause;


/**
 *
 * @author Vincent Calame
 */
public class IntituleClauseBuilder {

    public static final IntituleClause DEFAULT = new InternalIntituleClause();


    private static class InternalIntituleClause implements IntituleClause {

        private InternalIntituleClause() {

        }

        @Override
        public boolean withIntitule() {
            return true;
        }

    }

}
